Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158579 - Multiple entries for /dev/shm in /etc/fstab
Summary: Multiple entries for /dev/shm in /etc/fstab
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: MAKEDEV
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Brock Organ
URL:
Whiteboard: RHEL3U7NAK
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 19:18 UTC by David Milburn
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-10 14:42:58 UTC


Attachments (Terms of Use)

Description David Milburn 2005-05-23 19:18:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
When /etc/fstab has an entry for /dev/shm mount point
that mounts a ramfs instead of a tmpfs, an upgrade from
dev-3.3.12-1 to dev-3.3.12.3-1 will generate another
/etc/fstab entry for /dev/shm with a filesystem type
of tmpfs. 

Version-Release number of selected component (if applicable):
MAKEDEV-3.3.12.3-1

How reproducible:
Always

Steps to Reproduce:
1. Change /dev/shm entry in /etc/fstab to mount ramfs instead of tmpfs.
2. Upgrade to dev-3.3.12.3-1
3. Cat /etc/fstab
  

Actual Results:  Two entries for /dev/shm

none /dev/shm tmpfs defaults 0 0
none /dev/shm ramfs defaults 0 0

Expected Results:  One entry for /dev/shm

none /dev/shm ramfs defaults 0 0


Additional info:

Comment 1 Nalin Dahyabhai 2005-07-21 22:00:04 UTC
The kernel's tmpfs.txt file doesn't mention that ramfs can be used here
(personally, I don't know why you'd want to), but it's still a bug in the %post
script.  Fixing in 3.3.12.4-1.

Comment 12 Chris Lumens 2007-07-10 14:42:58 UTC
Closing as WONTFIX based on comment #11.


Note You need to log in before you can comment on or make changes to this bug.